com.io7m.jtensors.core.parameterized.vectors

## Class PVector4F<T>

- java.lang.Object
- - com.io7m.jtensors.core.parameterized.vectors.PVector4F<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Implemented Interfaces:
    PVector4FType<T>, PVectorReadable2FType<T>, PVectorReadable3FType<T>, PVectorReadable4FType<T>, VectorReadable2FType, VectorReadable3FType, VectorReadable4FType, VectorComputationalType

      @Generated(value={"Immutables.generator","PVector4FType<T>"})
      public final class PVector4F<T>
      extends Object
      implements PVector4FType<T>

  The type of 4D `float`-typed vectors.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PVector4F.Builder<T>` Builds instances of type `PVector4F`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> PVector4F.Builder<T>` | `builder()` Creates a builder for `PVector4F`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PVector4F` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `x`, `y`, `z`, `w`.
    `static <T> PVector4F<T>` | `of(float x, float y, float z, float w)` Construct a new immutable `PVector4F` instance.
    `String` | `toString()` Prints the immutable value `PVector4F` with attribute values.
    `float` | `w()`
    `float` | `x()`
    `float` | `y()`
    `float` | `z()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### x

          public float x()

      Specified by:
        `x` in interface `PVector4FType<T>`
      Specified by:
        `x` in interface `VectorReadable2FType`
      Returns:
        The value of the `x` attribute

    - #### y

          public float y()

      Specified by:
        `y` in interface `PVector4FType<T>`
      Specified by:
        `y` in interface `VectorReadable2FType`
      Returns:
        The value of the `y` attribute

    - #### z

          public float z()

      Specified by:
        `z` in interface `PVector4FType<T>`
      Specified by:
        `z` in interface `VectorReadable3FType`
      Returns:
        The value of the `z` attribute

    - #### w

          public float w()

      Specified by:
        `w` in interface `PVector4FType<T>`
      Specified by:
        `w` in interface `VectorReadable4FType`
      Returns:
        The value of the `w` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PVector4F` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `x`, `y`, `z`, `w`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PVector4F` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <T> PVector4F<T> of(float x,
                                            float y,
                                            float z,
                                            float w)

      Construct a new immutable `PVector4F` instance.
      Parameters:
        `x` - The value for the `x` attribute
        `y` - The value for the `y` attribute
        `z` - The value for the `z` attribute
        `w` - The value for the `w` attribute
      Returns:
        An immutable PVector4F instance

    - #### builder

          public static <T> PVector4F.Builder<T> builder()

      Creates a builder for `PVector4F`.
      Type Parameters:
        `T` - generic parameter T
      Returns:
        A new PVector4F builder

Copyright © 2017 <code@io7m.com> http://io7m.com